/*
    SDL - Simple DirectMedia Layer
    Copyright (C) 1997-2009 Sam Lantinga

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

    Sam Lantinga
    slouken@libsdl.org
*/
module org.libsdl.sdl;

version(DisablePublicImport)
{
	import org.libsdl.stdinc;
}
else
{
	public import org.libsdl.active;
	public import org.libsdl.audio;
	public import org.libsdl.cdrom;
	public import org.libsdl.config;
	public import org.libsdl.cpuinfo;
	public import org.libsdl.endian;
	public import org.libsdl.error;
	public import org.libsdl.events;
	public import org.libsdl.joystick;
	public import org.libsdl.keyboard;
	public import org.libsdl.keysym;
	public import org.libsdl.loadso;
	public import org.libsdl.main;
	public import org.libsdl.mouse;
	public import org.libsdl.mutex;
	public import org.libsdl.quit;
	public import org.libsdl.rwops;
	public import org.libsdl.stdinc;
	public import org.libsdl.syswm;
	public import org.libsdl.thread;
	public import org.libsdl.timer;
	public import org.libsdl.versions;
	public import org.libsdl.video;
}

immutable Uint32 SDL_INIT_TIMER       = 0x00000001;
immutable Uint32 SDL_INIT_AUDIO       = 0x00000010;
immutable Uint32 SDL_INIT_VIDEO       = 0x00000020;
immutable Uint32 SDL_INIT_CDROM       = 0x00000100;
immutable Uint32 SDL_INIT_JOYSTICK	  = 0x00000200;
immutable Uint32 SDL_INIT_NOPARACHUTE = 0x00100000;
immutable Uint32 SDL_INIT_EVENTTHREAD = 0x01000000;
immutable Uint32 SDL_INIT_EVERYTHING  = 0x0000FFFF;

extern (C)
{
	int SDL_Init(Uint32 flags);
	int SDL_InitSubSystem(Uint32 flags);
	void SDL_QuitSubSystem(Uint32 flags);
	Uint32 SDL_WasInit(Uint32 flags);
	void SDL_Quit();
}
